<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingStart="16dp"
    android:paddingEnd="16dp"
    android:paddingBottom="8dp">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:ellipsize="end"
        android:gravity="center_vertical"
        android:lines="1"
        android:textColor="@color/text_primary"
        android:textSize="@dimen/primary_title_text_size"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="自定义栏目" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/columnContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_shape_f8_radius_8"
        android:padding="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv">

        <com.gh.gamecenter.common.view.WrapContentDraweeView
            android:id="@+id/imageIv"
            style="@style/frescoStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0"
            app:placeholderImageScaleType="fitXY"
            app:roundWithOverlayColor="@color/ui_container_1"
            app:roundedCornerRadius="8dp"
            tools:layout_height="88dp" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/columnTitleContainer"
            android:layout_width="0dp"
            android:layout_height="20dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="8dp"
            android:visibility="gone"
            app:layout_constraintEnd_toStartOf="@+id/rightTopContainer"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/imageIv"
            app:layout_goneMarginTop="0dp"
            tools:visibility="visible">

            <com.gh.gamecenter.feature.view.GameIconView
                android:id="@+id/gameIconIv"
                android:layout_width="16dp"
                android:layout_height="16dp"
                app:layout_constraintBottom_toBottomOf="@+id/columnTitleTv"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/columnTitleTv" />

            <ImageView
                android:id="@+id/columnTitleIv"
                android:layout_width="36dp"
                android:layout_height="6dp"
                app:layout_constraintBottom_toBottomOf="@+id/columnTitleTv"
                app:layout_constraintStart_toStartOf="@+id/columnTitleTv"
                app:srcCompat="@drawable/bg_game_detail_custom_column_title" />

            <TextView
                android:id="@+id/columnTitleTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:lines="1"
                android:textColor="@color/text_primary"
                android:textStyle="bold"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/columnDesTv"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toEndOf="@+id/gameIconIv"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_goneMarginLeft="0dp"
                app:layout_goneMarginStart="0dp"
                tools:text="栏目标题栏目标题栏目标题" />

            <TextView
                android:id="@+id/columnDesTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:lines="1"
                android:textColor="@color/text_tertiary"
                android:textSize="@dimen/secondary_size"
                app:layout_constraintBottom_toBottomOf="@+id/columnTitleTv"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/columnTitleTv"
                app:layout_constraintTop_toTopOf="@+id/columnTitleTv"
                app:layout_goneMarginEnd="0dp"
                app:layout_goneMarginRight="0dp"
                tools:text="标题后文案" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:id="@+id/rightTopContainer"
            android:layout_width="wrap_content"
            android:layout_height="20dp"
            android:layout_marginTop="12dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/imageIv"
            app:layout_goneMarginTop="0dp"
            tools:visibility="visible">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/rightTopIconIv"
                style="@style/frescoStyle"
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:layout_marginEnd="4dp"
                android:visibility="gone"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/rightTopTextTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawablePadding="4dp"
                android:includeFontPadding="false"
                android:textColor="@color/text_tertiary"
                android:textSize="@dimen/secondary_size"
                android:visibility="gone"
                app:drawableEndCompat="@drawable/ic_auxiliary_arrow_right_12"
                tools:text="说明文本"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/rightTopButtonTv"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:background="@drawable/download_button_normal_style"
                android:gravity="center"
                android:paddingStart="8dp"
                android:paddingEnd="8dp"
                android:textColor="@color/white"
                android:textSize="@dimen/secondary_size"
                android:visibility="visible"
                tools:text="去下载"
                tools:visibility="gone" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/secondTitleContainer"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="gone"
            app:layout_constraintEnd_toStartOf="@+id/rightTopContainer"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/columnTitleContainer"
            app:layout_goneMarginTop="12dp"
            tools:visibility="visible">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/secondTitleIconIv"
                style="@style/frescoStyle"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginEnd="4dp" />

            <TextView
                android:id="@+id/secondTitleTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/text_primary"
                android:textSize="@dimen/secondary_size"
                tools:text="二级标题" />
        </LinearLayout>

        <com.gh.gamecenter.common.view.ExpandAndShrinkTextView
            android:id="@+id/contentTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:textColor="@color/text_secondary"
            android:textSize="@dimen/secondary_size"
            app:expandBtnText="全部"
            app:expandEndText="...   "
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/secondTitleContainer"
            app:shrinkBtnText=" 收起"
            app:useGradientAlphaExpandEndText="true"
            tools:text="文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容文本内容" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>